%% Individual class (place holder for single individual)
function [ind] = Individual(object, prob)

ind.object = [];

ind.nf = 0;
ind.ng = 0;
ind.x = [];
ind.f = [];
ind.g = [];
ind.feas = 0;
ind.age = 0;

ind = class(ind, 'Individual');

if nargin > 0
	if nargin == 1
		assert(isa(object, 'Individual'));
		ind = object;
	elseif nargin == 2
		ind.object = object;
		ind.nf = prob.nf;
		ind.ng = prob.ng;
	else
		error('Wrong number of arguments');
	end
end

return
