function [pop] = sort_nd_maxcv(pop)

feasible = find(pop.feas == 1);
infeasible = find(pop.feas == 0);

ranks1 = [];
if ~isempty(feasible)
	if pop.nf == 1
		[tmp, I] = sort(pop.f(feasible));
		ranks1 = feasible(I);
	else
		F = sort_nd(pop.f, feasible);
%         keyboard
		for front = 1 : length(F)
			pop.nd_rank(F(front).f(:)) = front;
			[r1, d1] = sort_crowding(pop.f, F(front).f);
			pop.crowd(F(front).f(:)) = d1;
			ranks1 = [ranks1; r1];
		end
	end
end

ranks2 = [];
if ~isempty(infeasible)
	ranks2 = sort_constr(pop.cv, infeasible);
end

assert(length(ranks1) + length(ranks2) == pop.size);
pop.rank = [ranks1; ranks2];
return
