function summary(pop, gen)

global logger

nd = find(pop.nd_rank == 1);
if isempty(nd)
	id = pop.rank(1);
	if pop.feas(id) == 0
		id2 = find(pop.feas == 1, 1);
		if ~isempty(id2), id = id2; end
	end
else
	id = nd(1);
end

write(logger, 'Generation %d\n', gen);
mesg = '';

for i = 1:pop.nf
	tmp = sprintf(' %g', pop.f(id,i));
	mesg = strcat(mesg, tmp);
end
if pop.feas(id) == 0
	tmp = sprintf(' (%g)', pop.cv(id));
	mesg = strcat(mesg, tmp);
end
write(logger, '\tObjectives: [%s ]\n', mesg);
mesg = '';
for i = 1:pop.ng
	tmp = sprintf(' %g', pop.g(id,i));
	mesg = strcat(mesg, tmp);
end
write(logger, '\tConstraints: [%s ]\n', mesg);

% write(logger, '\tAge: %d\n', pop.age(id));
if pop.nf > 1
	write(logger, '\tNon-Dominated: %d\n', length(nd));
end
write(logger, '\tFeasible: %d\n', sum(pop.feas));
write(logger, '\tFunction Evals: %d\n', pop.fn_evals);

write(logger, '\tDesign:');
write(logger, '%s\n', str(pop.x{id}));
return
