function [f,g] = dtlz5_5_10(x)
if nargin == 0
	prob.nx = 19;
	prob.nf = 10;
	prob.ng = 6;
	prob.range = cell(1, prob.nx);
	for i = 1:prob.nx
		prob.range{i} = Range('range', [0,1]);
	end
	f = prob;
else
	[f,g] = dtlz5_true(x);
end
return


function [f,g] = dtlz5_true(x)
M = 10; I =5; k = 10;
n = M + k - 1;

gc = 0;
for i = M : n
	gc = gc + (x(i)-0.5)^2;
end

for i = 1:I-1
	theta(i) = x(i) * pi/2;
end
for i = I:M-1
	theta(i) = (1 + 2*gc*x(i)) * (pi/4 / (1+gc));
end

term1 = 1 + gc;
ff(1) = term1 * prod(cos(theta));
for i = 2:M
	ff(i) = term1 * prod(cos(theta(1:M-i))) * sin(theta(M+1-i));
end

f = ff;
const = f(M-I+2:M)*f(M-I+2:M)'-1;
for i=1:M-I+1
   if i == 1
       p_i = M-I;
   else
       p_i = (M-I+2)-i;
   end   
   g(i) = const+ 2^p_i*f(i)^2; 
end

return
