function [f,g] = eval(anl, x)

if anl.use_cache == 1
	anl = load_cache(anl, 1);

	found = 0;
	for i = 1:anl.count
		if isequal(x, anl.cache{i,1})
			f = anl.cache{i,2};
			g = anl.cache{i,3};
			found = 1;
			break
		end
	end

	if ~found
		[f,g] = feval(anl.func, x);
		anl.cache(anl.count+1,:) = {x,f,g};
		anl.count = anl.count + 1;
	else
		anl.hits = anl.hits + 1;
	end
	
	anl.evals = anl.evals;
	save_cache(anl);
	
else
	[f,g] = feval(anl.func, x);
	
end

return
